
<div class="formulario-container">


  <form [formGroup]="formRegistro" (ngSubmit)="registrarProducto()">

    <div class="form-title">
      <label class="form-titlex">Formulario de Registro</label>
    </div>

    <hr>

    <div class="form-item-line">
      <div>
        <label for="text_id">id</label>
        <input type="text" id="txt_id" class="{{isInvalidId?'error-field-text':''}}" formControlName="id" required>

        <div class="error-field" *ngIf="isInvalidIdByExistence">
          ID no válido.
        </div>
        <div class="error-field" *ngIf="isInvalidIdByRequired">
          Este campo es requerido.
        </div>
        <div class="error-field" *ngIf="isInvalidIdByMinLength">
          Mínimo {{formRegistro.get('id')?.errors?.['minlength']?.requiredLength}} caracteres.
        </div>
        <div class="error-field" *ngIf="isInvalidIdByMaxLength">
          Máximo {{formRegistro.get('id')?.errors?.['maxlength']?.requiredLength}} caracteres.
        </div>
      </div>

      <div>
        <label>Nombre</label>
        <input type="text" id="txt_name" class="{{isInvalidName?'error-field-text':''}}" formControlName="name">

        <div class="error-field" *ngIf="isInvalidNameByRequired"> Este campo es requerido. </div>
        <div class="error-field" *ngIf="isInvalidNameByMinLength"> Mínimo {{formRegistro.get('name')?.errors?.['minlength']?.requiredLength}} caracteres. </div>
        <div class="error-field" *ngIf="isInvalidNameByMaxLength"> Máximo {{formRegistro.get('name')?.errors?.['maxlength']?.requiredLength}} caracteres. </div>
      </div>
    </div>

    <div class="form-item-line">
      <div>
        <label for="txt_description">Descripción</label>
        <input type="text" id="txt_description" class="{{isInvalidDescription?'error-field-text':''}}" formControlName="description">

        <div class="error-field" *ngIf="isInvalidDescriptionByRequired">Este campo es requerido.</div>
        <div class="error-field" *ngIf="isInvalidDescriptionByMinLength"> Mínimo {{formRegistro.get('description')?.errors?.['minlength']?.requiredLength}} caracteres. </div>
        <div class="error-field" *ngIf="isInvalidDescriptionByMaxLength"> Máximo {{formRegistro.get('description')?.errors?.['maxlength']?.requiredLength}} caracteres. </div>
      </div>

      <div>
        <label>Logo</label>
        <input type="text" id="txt_logo" class="{{isInvalidLogo?'error-field-text':''}}" formControlName="logo">
        <div class="error-field" *ngIf="isInvalidLogo">
          Este campo es requerido.
        </div>
      </div>
    </div>

    <div class="form-item-line">
      <div>
        <label for="text_id">Fecha Liberación</label>
        <input type="text" id="text_id" placeholder="dd/mm/aaaa" (change)="calculateDateRevision()" class="{{isInvalidDateRelease?'error-field-text':''}}" formControlName="date_release">
        <div class="error-field" *ngIf="isInvalidDateReleaseByRequired">
          Este campo es requerido.
        </div>
        <div class="error-field" *ngIf="isInvalidDateReleaseByFormat">
          Formato requerido dd/mm/aaaa.
        </div>
        <div class="error-field" *ngIf="isInvalidDateRelease">
          Fecha debe ser mayor a actual.
        </div>
      </div>

      <div>
        <label>Fecha Revisión</label>
        <input type="text"  readonly="true" formControlName="date_revision">
      </div>

    </div>

    <div class="form-bottom">
      <button type="button" class="restart-button" (click)="cancel()">Cancelar</button>
      <button type="button" class="restart-button" (click)="restartForm()">Reiniciar</button>
      <button type="submit"  class="send-button" >Enviar</button>
    </div>



  </form>













</div>




